package ;

import flixel.FlxSprite;
import flixel.util.FlxColor;
import flixel.FlxG;
import flixel.FlxObject;

class Player extends FlxSprite
{
	public var hasWon:Bool = false;

	var _gravity:Int = 1600;
	var _maxFallSpeed:Int = 800;
	var _jumpForce:Int = 420;
	public var _playerspeed:Int = 90;


	public function new(X:Float=0, Y:Float=0) 

    {
        super(X, Y);
        loadGraphic("assets/images/runcycle.png", true, 64, 64);
        setSize(32, 48);
		offset.set(16, 16);
		animation.add("leftright", [0,1,2,3,4,5], 8, false);
		animation.add("jump", [7,8,9,9,9,9,9], 8, false);
		//animation.add("duck", [5], 1, false);
        velocity.x = _playerspeed;
        velocity.y = 0;
        maxVelocity.y = 0;
		acceleration.y = _gravity;

		
    }

    public function movement():Void
    {
		
		



			//if (_up==true && !isTouching(FlxObject.FLOOR))
			 if (FlxG.keys.justPressed.SPACE && isTouching(FlxObject.FLOOR))

			{
				velocity.y = -400;
				velocity.x = 100;
				animation.play("jump");


			}

			if (velocity.y < 0)
			{
				animation.play("jump");
			}


			if (isTouching(FlxObject.RIGHT))
			velocity.x = 100;

			//else if (_down)
			//{
			//      animation.play("duck");
			 //     setSize(16, 12);
				//  offset.set(0, 12);
			//}

			if (isTouching(FlxObject.FLOOR))
			animation.play("leftright");


						
    }


    override public function update():Void
    {
    	movement();
    	super.update();
    }
}